class InitializerGenerator < Rails::Generators::NamedBase
  source_root File.expand_path("../templates", __FILE__)
 
  def copy_initializer_file
    time = Time.now
    year = time.strftime("%Y")
    month = time.strftime("%m")
    date = time.strftime("%d")
    hour = time.strftime("%H")
    minutes = time.strftime("%M")
    seconds = time.strftime("%S")
    migration_prefix = year + month + date + hour + minutes + seconds + "_create_products"
    back_script_prefix = year + month + date + hour + minutes + seconds + "_create_back_script"
    if file_name.present?
     copy_file "initializer.rb", "config/initializers/#{file_name}.rb"
    end
     copy_file "migration_file.rb", "db/migrate/#{migration_prefix}.rb"
     copy_file "file.rb", "db/migrate/#{back_script_prefix}.rb"
  end
end
